(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     44520,       1362]*)
(*NotebookOutlinePosition[    128136,       4193]*)
(*  CellTagsIndexPosition[    128092,       4189]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
Testing bra-ket notation capabilities of sneg.m
Rok Zitko, rok.zitko@ijs.si, May 2006\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< "\<../sneg.m\>"\)], "Input"],

Cell[BoxData[
    \("sneg $Id: sneg.m,v 1.66 2006/07/14 10:43:56 rok Exp rok $"\)], "Print"],

Cell[BoxData[
    \("Copyright (C) 2006 Rok Zitko, rok.zitko@ijs.si"\)], "Print"],

Cell[BoxData[
    \("sneg.m $Id: sneg.m,v 1.66 2006/07/14 10:43:56 rok Exp rok $ \
loaded"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\( (*\ 
      Paket\ za\ definicije\ strnjenih\ zapisov\ *) \)\(\[IndentingNewLine]\)\
\(<< Utilities`Notation`\)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"(", 
        RowBox[{
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(c\_\(k_, \(\(\[Alpha]_\)\(\[UpArrow]\)\)\)\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(c[1, k_, \[Alpha]_, 1]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(c\_\(k_, \(\(\[Alpha]_\)\(\[DownArrow]\)\)\)\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(c[1, k_, \[Alpha]_, 0]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              
              TagBox[\(c\_\(k_, \
\(\(\[Alpha]_\)\(\[UpArrow]\)\)\)\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(c[0, k_, \[Alpha]_, 1]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              
              TagBox[\(c\_\(k_, \
\(\(\[Alpha]_\)\(\[DownArrow]\)\)\)\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(c[0, k_, \[Alpha]_, 0]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(c\_\(k_, \[Alpha]_, \[Sigma]_\)\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(c[0, k_, \[Alpha]_, \[Sigma]_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(c\_\(k_, \[Alpha]_, \[Sigma]_\)\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(c[1, k_, \[Alpha]_, \[Sigma]_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(a\_\[UpArrow]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(a[1, 1]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(a\_\[DownArrow]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(a[1, 0]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(a\_\[UpArrow]\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(a[0, 1]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(a\_\[DownArrow]\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(a[0, 0]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(a\_\[Sigma]_\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(a[0, \[Sigma]_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(a\_\[Sigma]_\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(a[1, \[Sigma]_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(b\_\[UpArrow]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(b[1, 1]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(b\_\[DownArrow]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(b[1, 0]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(b\_\[UpArrow]\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(b[0, 1]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(b\_\[DownArrow]\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(b[0, 0]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", "\n", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(b\_\[Sigma]_\^\[Dagger]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(b[0, \[Sigma]_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(b\_\[Sigma]_\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(b[1, \[Sigma]_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(\(\[LeftBracketingBar]x__\)\(\[RightAngleBracket]\)\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(ket[x__]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(\(\[LeftAngleBracket]x__\)\(\[RightBracketingBar]\)\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(bra[x__]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(\[DoubleStruckCapitalD][x_, y_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(KroneckerDelta[x_, y_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Notation", "[", 
            RowBox[{
              TagBox[\(\(\[Therefore]\)\(\(a_\)\(\[Therefore]\)\)\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], " ", 
              "\[DoubleLongLeftRightArrow]", " ", 
              TagBox[\(dd[a_]\),
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"InfixNotation", "[", 
            RowBox[{
              TagBox["\[CenterDot]",
                NotationBoxTag,
                TagStyle->"NotationTemplateStyle"], ",", "nc"}], "]"}], ";"}],
         ")"}], ";"}]], "Input"],

Cell[BoxData[{
    \(snegfermionoperators[a, b]\), "\[IndentingNewLine]", 
    \(snegrealconstants[J]\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(nc[ket[1], bra[1]]\)], "Input"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]1\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]1\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell["All True", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(pairpattern[{Null}, {Null}]\), "\[IndentingNewLine]", 
    \(pairpattern[{1}, {2}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, Null}, {Null, Null}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, 1}, {Null, 1}]\), "\[IndentingNewLine]", 
    \(pairpattern[{1, Null}, {1, Null}]\), "\[IndentingNewLine]", 
    \(pairpattern[{1, 2}, {3, 4}]\)}], "Input"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell["All False", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(pairpattern[{1}, {Null}]\), "\n", 
    \(pairpattern[{Null}, {1}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, Null}, {Null, 1}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, Null}, {1, 1}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, 1}, {1, 1}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, 1}, {Null, Null}]\), "\[IndentingNewLine]", 
    \(pairpattern[{1, 1}, {Null, Null}]\), "\[IndentingNewLine]", 
    \(pairpattern[{Null, Null, x, Null}, {Null, Null, y, 1}]\)}], "Input"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nonnullpos[{Null, 1, 2, Null, 5}]\), "\[IndentingNewLine]", 
    \(Extract[Range[5], %]\), "\[IndentingNewLine]", 
    \(Extract[{}, {}]\)}], "Input"],

Cell[BoxData[
    \({{2}, {3}, {5}}\)], "Output"],

Cell[BoxData[
    \({2, 3, 5}\)], "Output"],

Cell[BoxData[
    \({}\)], "Output"]
}, Open  ]],

Cell["Simple cases for brakets", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nc[bra[1], ket[1]]\), "\[IndentingNewLine]", 
    \(nc[bra[1], ket[2]]\), "\[IndentingNewLine]", 
    \(nc[bra[x], ket[y]]\), "\[IndentingNewLine]", 
    \(nc[bra[x], ket[y], bra[w], ket[z]]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"],

Cell[BoxData[
    \(0\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][x, y]\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][w, z]\ \[DoubleStruckCapitalD][x, 
        y]\)], "Output"]
}, Open  ]],

Cell["Cases with several quantum numbers", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nc[bra[Null], ket[Null]]\), "\[IndentingNewLine]", 
    \(nc[bra[Null, Null], ket[Null, Null]]\), "\[IndentingNewLine]", 
    \(nc[bra[Null, Null, x, Null], 
      ket[Null, Null, y, Null]]\), "\[IndentingNewLine]", 
    \(nc[bra[Null, Null, x, Null], 
      ket[Null, Null, y, 1]]\), "\[IndentingNewLine]", 
    \(nc[bra[1, Null], ket[Null, 2]]\)}], "Input"],

Cell[BoxData[
    \(1\)], "Output"],

Cell[BoxData[
    \(1\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][x, y]\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]Null, Null, x, 
          Null\)\(\[RightBracketingBar]\)\)\[CenterDot]\(\(\
\[LeftBracketingBar]Null, Null, y, 1\)\(\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]1, 
          Null\)\(\[RightBracketingBar]\)\)\[CenterDot]\(\(\
\[LeftBracketingBar]Null, 2\)\(\[RightAngleBracket]\)\)\)], "Output"]
}, Open  ]],

Cell["\<\
Scalar product is evaluated only when bra and ket have compatible \
pair pattern.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nc[bra[x, Null], ket[y, 1]]\), "\[IndentingNewLine]", 
    \(nc[bra[Null, x1], %]\)}], "Input"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]x, 
          Null\)\(\[RightBracketingBar]\)\)\[CenterDot]\(\(\
\[LeftBracketingBar]y, 1\)\(\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][1, x1]\ \[DoubleStruckCapitalD][x, 
        y]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(operatorQ[a]\), "\[IndentingNewLine]", 
    \(nc[ket[], bra[], a[]]\), "\[IndentingNewLine]", 
    \(nc[bra[], a[]]\), "\[IndentingNewLine]", 
    \(nc[a[], bra[], b[]]\), "\[IndentingNewLine]", 
    \(nc[bra[1], a[], ket[1]]\)}], "Input"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(a[]\[CenterDot]ket[]\[CenterDot]bra[]\)], "Output"],

Cell[BoxData[
    \(a[]\[CenterDot]bra[]\)], "Output"],

Cell[BoxData[
    \(a[]\[CenterDot]b[]\[CenterDot]bra[]\)], "Output"],

Cell[BoxData[
    \(a[]\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[
    \(nonnullpattern[{a, b, Null, d, e, Null}]\)], "Input"],

Cell[BoxData[
    \({True, True, False, True, True, False}\)], "Output"]
}, Open  ]],

Cell["All True", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(compatiblepattern[{Null}, {Null}]\), "\[IndentingNewLine]", 
    \(compatiblepattern[{Null}, {a}]\), "\[IndentingNewLine]", 
    \(compatiblepattern[{b}, {Null}]\)}], "Input"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"],

Cell[BoxData[
    \(True\)], "Output"]
}, Open  ]],

Cell["All False", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(compatiblepattern[{b}, {b}]\), "\[IndentingNewLine]", 
    \(compatiblepattern[{a, b, Null}, {c, d, Null}]\)}], "Input"],

Cell[BoxData[
    \(False\)], "Output"],

Cell[BoxData[
    \(False\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(bkcombine[{Null}, {Null}]\), "\[IndentingNewLine]", 
    \(bkcombine[{Null}, {a}]\), "\[IndentingNewLine]", 
    \(bkcombine[{a}, {Null}]\), "\[IndentingNewLine]", 
    \(bkcombine[{a}, {a}]\)}], "Input"],

Cell[BoxData[
    \({Null}\)], "Output"],

Cell[BoxData[
    \({a}\)], "Output"],

Cell[BoxData[
    \({a}\)], "Output"],

Cell[BoxData[
    \(bkcombine::"incompat" \(\(:\)\(\ \)\) 
      "Incompatible pattern of non-Null elements"\)], "Message"],

Cell[BoxData[
    \(error[bkcombine, {a}, {a}]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(bkcombine[{Null, Null}, {Null, Null}]\), "\[IndentingNewLine]", 
    \(bkcombine[{Null, a}, {Null, Null}]\), "\[IndentingNewLine]", 
    \(bkcombine[{Null, a}, {b, Null}]\), "\[IndentingNewLine]", 
    \(bkcombine[{a, a}, {a, Null}]\)}], "Input"],

Cell[BoxData[
    \({Null, Null}\)], "Output"],

Cell[BoxData[
    \({Null, a}\)], "Output"],

Cell[BoxData[
    \({b, a}\)], "Output"],

Cell[BoxData[
    \(bkcombine::"incompat" \(\(:\)\(\ \)\) 
      "Incompatible pattern of non-Null elements"\)], "Message"],

Cell[BoxData[
    \(error[bkcombine, {a, a}, {a, Null}]\)], "Output"]
}, Open  ]],

Cell["Not yet!!", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nonnullpattern[{{1, 2}, {Null, Null}}]\), "\[IndentingNewLine]", 
    \(bkcombine[{{1, 2}, {Null, Null}}, {{Null, Null}, {Null, 
          3}}]\)}], "Input"],

Cell[BoxData[
    \({True, True}\)], "Output"],

Cell[BoxData[
    \(bkcombine::"incompat" \(\(:\)\(\ \)\) 
      "Incompatible pattern of non-Null elements"\)], "Message"],

Cell[BoxData[
    \(error[
      bkcombine, {{1, 2}, {Null, Null}}, {{Null, Null}, {Null, 
          3}}]\)], "Output"]
}, Open  ]],

Cell["\<\
Test concatenation of indeces: do nothing if the patterns are no \
compatible!\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(a1 = nc[ket[x1], ket[y1]]\), "\[IndentingNewLine]", 
    \(a2 = nc[bra[y2], bra[x2]]\)}], "Input"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]x1\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftBracketingBar]y1\)\(\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]y2\)\(\[RightBracketingBar]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]x2\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell["These are allowes and are suitably concatenated", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nc[ket[Null, y1], ket[x1, Null]]\), "\[IndentingNewLine]", 
    \(nc[ket[x1, Null], ket[Null, y1]]\), "\[IndentingNewLine]", 
    \(nc[bra[Null, y2], bra[x2, Null]]\), "\[IndentingNewLine]", 
    \(nc[bra[x2, Null], bra[Null, y2]]\)}], "Input"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]x1, y1\)\(\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]x1, y1\)\(\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]x2, y2\)\(\[RightBracketingBar]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]x2, y2\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[{
    \(k1 = ket[Null, y1]\[CenterDot]ket[x1, Null]\), "\[IndentingNewLine]", 
    \(b1 = bra[x2, Null]\[CenterDot]bra[Null, y2]\), "\[IndentingNewLine]", 
    \(nc[b1, k1]\)}], "Input"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]x1, y1\)\(\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]x2, y2\)\(\[RightBracketingBar]\)\)\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][x1, x2]\ \[DoubleStruckCapitalD][y1, 
        y2]\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[{
    \(spinket[1/2]\), "\[IndentingNewLine]", 
    \(spinbra[1/2]\)}], "Input"],

Cell[BoxData[
    \({\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\), \(\(\
\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)}\)], "Output"],

Cell[BoxData[
    \({\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\), \(\(\
\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\)}\)], "Output"]
}, Open  ]],

Cell["Spin operators in ket/bra representation", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(sz = spinketbraZ[1/2]\), "\[IndentingNewLine]", 
    \(sp = spinketbraP[1/2]\), "\[IndentingNewLine]", 
    \(sm = spinketbraM[1/2]\), "\[IndentingNewLine]", 
    \(sx = spinketbraX[1/2]\), "\[IndentingNewLine]", 
    \(sy = spinketbraY[1/2]\)}], "Input"],

Cell[BoxData[
    \(\(-\(1\/2\)\)\ \(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\
\[RightAngleBracket]\)\)\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\
\[RightBracketingBar]\)\) + 
      1\/2\ \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\)\)], \
"Output"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\)\)], "Output"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\)\)], \
"Output"],

Cell[BoxData[
    \(1\/2\ \(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\) + 
      1\/2\ \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\)\
\)], "Output"],

Cell[BoxData[
    \(1\/2\ \[ImaginaryI]\ \(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\
\[RightAngleBracket]\)\)\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\
\[RightBracketingBar]\)\) - 
      1\/2\ \[ImaginaryI]\ \(\(\[LeftBracketingBar]1\/2\)\(\
\[RightAngleBracket]\)\)\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\
\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(nc[sz, ket[1/2]]\), "\[IndentingNewLine]", 
    \(nc[sz, ket[\(-1\)/2]]\)}], "Input"],

Cell[BoxData[
    \(\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\/2\)], "Output"],

Cell[BoxData[
    \(\(-\(1\/2\)\)\ \(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\
\[RightAngleBracket]\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(ops = {a[], b[]};\)\), "\[IndentingNewLine]", 
    \(\(makebasis[ops];\)\), "\[IndentingNewLine]", 
    \(\(v = vacuum[];\)\), "\[IndentingNewLine]", 
    \(\(bz = qsbasis[ops];\)\), "\[IndentingNewLine]", 
    \(bvc = Map[{#[\([1]\)], ap[#[\([2]\)], v]} &, bz]\)}], "Input"],

Cell[BoxData[
    \({{{\(-2\), 0}, {vc[0, 0, 0, 0]}}, {{\(-1\), 1\/2}, {vc[0, 0, 1, 0], 
          vc[1, 0, 0, 0]}}, {{0, 0}, {\(-vc[0, 0, 1, 1]\), 
          vc[0, 1, 1, 0]\/\@2 - 
            vc[1, 0, 0, 1]\/\@2, \(-vc[1, 1, 0, 0]\)}}, {{0, 
          1}, {\(-vc[1, 0, 1, 0]\)}}, {{1, 
          1\/2}, {\(-vc[1, 0, 1, 1]\), \(-vc[1, 1, 1, 0]\)}}, {{2, 
          0}, {vc[1, 1, 1, 1]}}}\)], "Output"]
}, Open  ]],

Cell["Basis for spin 1/2 operator represented by pseudospin a[]", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(baza = QSpseudospin[bvc, a[]];\)\), "\[IndentingNewLine]", 
    \(baza // MatrixForm\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\({\(-1\), 
                1\/2}\), \
\({\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)}\)},
            {\({0, 
                0}\), \({\(\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(\(\
\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\)\/\@2 - \(\(b\_\
\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\
\[RightAngleBracket]\)\)\)\/\@2}\)},
            {\({0, 
                1}\), \({\(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\
\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)}\)},
            {\({1, 
                1\/2}\), \({\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\
\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\
\[RightAngleBracket]\)\)}\)}
            },
          RowSpacings->1,
          ColumnSpacings->1,
          ColumnAlignments->{Left}], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output"]
}, Open  ]],

Cell["Operator Sz.sz", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(oz = 
      nc[sz, 1/2 \((number[b[], UP] - number[b[], DO])\)] // 
        Expand\)], "Input"],

Cell[BoxData[
    \(1\/4\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
- 1\/4\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\) - 
      1\/4\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
+ 1\/4\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\[CenterDot]\
\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(op = nc[sp, b[CR, DO]\[CenterDot]b[AN, UP]]\), "\[IndentingNewLine]", 
    \(om = nc[sm, b[CR, UP]\[CenterDot]b[AN, DO]]\)}], "Input"],

Cell[BoxData[
    \(\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\[CenterDot]\
\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\)\)], "Output"],

Cell[BoxData[
    \(\(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\[CenterDot]\
\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\[CenterDot]\
\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(spinspin[a[], b[]] // Expand\)], "Input"],

Cell[BoxData[
    \(\(-\(1\/4\)\)\ \(a\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\
\[DownArrow]\)\^\[Dagger]\[CenterDot]\(a\_\[DownArrow]\)\[CenterDot]\(b\_\
\[DownArrow]\) + 
      1\/4\ \(a\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\^\
\[Dagger]\[CenterDot]\(a\_\[DownArrow]\)\[CenterDot]\(b\_\[UpArrow]\) - 
      1\/2\ \(a\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\^\
\[Dagger]\[CenterDot]\(a\_\[UpArrow]\)\[CenterDot]\(b\_\[DownArrow]\) - 
      1\/2\ \(a\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\^\
\[Dagger]\[CenterDot]\(a\_\[DownArrow]\)\[CenterDot]\(b\_\[UpArrow]\) + 
      1\/4\ \(a\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\^\
\[Dagger]\[CenterDot]\(a\_\[UpArrow]\)\[CenterDot]\(b\_\[DownArrow]\) - 
      1\/4\ \(a\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\^\
\[Dagger]\[CenterDot]\(a\_\[UpArrow]\)\[CenterDot]\(b\_\[UpArrow]\)\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ss = oz + 1/2\ \((op + om)\) // Expand\)], "Input"],

Cell[BoxData[
    \(1\/4\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
- 1\/4\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\) + 
      1\/2\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
+ 1\/2\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\) - 
      1\/4\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
+ 1\/4\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\[CenterDot]\
\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(spinbasis[1/2]\)], "Input"],

Cell[BoxData[
    \({{{1\/2}, {\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)}}, \
{{\(-\(1\/2\)\)}, \
{\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)}}}\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[
    \(conj[ket[x1]]\)], "Input"],

Cell[BoxData[
    \(\(\(\[LeftAngleBracket]x1\)\(\[RightBracketingBar]\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(conj[{ket[x1], \ ket[x2]}]\)], "Input"],

Cell[BoxData[
    \({\(\(\[LeftAngleBracket]x1\)\(\[RightBracketingBar]\)\), \(\(\
\[LeftAngleBracket]x2\)\(\[RightBracketingBar]\)\)}\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[
    \(ap[Null, vc[]]\)], "Input"],

Cell[BoxData[
    \(ap[Null, vc[]]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ap[ket[1], vc[]]\)], "Input"],

Cell[BoxData[
    \(vc[\(\[LeftBracketingBar]1\)\(\[RightAngleBracket]\)]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(ap[ket[1], \ vc[0, 0]]\), "\[IndentingNewLine]", 
    \(ap[bra[x], \ %]\)}], "Input"],

Cell[BoxData[
    \(vc[0, 
      0, \(\(\[LeftBracketingBar]1\)\(\[RightAngleBracket]\)\)]\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][1, x]\ vc[0, 0]\)], "Output"]
}, Open  ]],

Cell["Consecutive additing of quantum numbers", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(ap[ket[1, Null, Null], \ vc[0, 0]]\), "\[IndentingNewLine]", 
    \(ap[ket[Null, 2, Null], %]\), "\[IndentingNewLine]", 
    \(xx = ap[ket[Null, Null, 3], %]\)}], "Input"],

Cell[BoxData[
    \(vc[0, 
      0, \(\(\[LeftBracketingBar]1, Null, 
          Null\)\(\[RightAngleBracket]\)\)]\)], "Output"],

Cell[BoxData[
    \(vc[0, 
      0, \(\(\[LeftBracketingBar]1, 2, 
          Null\)\(\[RightAngleBracket]\)\)]\)], "Output"],

Cell[BoxData[
    \(vc[0, 
      0, \(\(\[LeftBracketingBar]1, 2, 
          3\)\(\[RightAngleBracket]\)\)]\)], "Output"]
}, Open  ]],

Cell["Do nothing!", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(ap[ket[1], vc[0, 0]]\), "\[IndentingNewLine]", 
    \(ap[ket[2], %]\)}], "Input"],

Cell[BoxData[
    \(vc[0, 
      0, \(\(\[LeftBracketingBar]1\)\(\[RightAngleBracket]\)\)]\)], "Output"],

Cell[BoxData[
    \(ap[\(\(\[LeftBracketingBar]2\)\(\[RightAngleBracket]\)\), 
      vc[0, 0, \(\(\[LeftBracketingBar]1\)\(\[RightAngleBracket]\)\)]]\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(xx\), "\[IndentingNewLine]", 
    \(ap[bra[x1, x2, x3], xx]\), "\[IndentingNewLine]", 
    \(ap[bra[x1, Null, Null], xx]\)}], "Input"],

Cell[BoxData[
    \(vc[0, 
      0, \(\(\[LeftBracketingBar]1, 2, 
          3\)\(\[RightAngleBracket]\)\)]\)], "Output"],

Cell[BoxData[
    \(\[DoubleStruckCapitalD][1, x1]\ \[DoubleStruckCapitalD][2, 
        x2]\ \[DoubleStruckCapitalD][3, x3]\ vc[0, 0]\)], "Output"],

Cell[BoxData[
    \(ap[\(\(\[LeftAngleBracket]x1, Null, Null\)\(\[RightBracketingBar]\)\), 
      vc[0, 0, \(\(\[LeftBracketingBar]1, 2, 
            3\)\(\[RightAngleBracket]\)\)]]\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[
    \(baza\)], "Input"],

Cell[BoxData[
    \({{{\(-1\), 
          1\/2}, {\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)}}, \
{{0, 0}, {\(\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]\
1\/2\)\(\[RightAngleBracket]\)\)\)\/\@2 - \(\(b\_\[UpArrow]\)\^\[Dagger]\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\)\/\@2}}, {{0, 
          1}, {\(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\
\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)}}, {{1, 
          1\/2}, {\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\
\)}}}\)], "Output"]
}, Open  ]],

Cell["Normalisation", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(b1 = baza[\([2, 2, 1]\)]\), "\[IndentingNewLine]", 
    \(c1 = conj[b1]\), "\[IndentingNewLine]", 
    \(c1\[CenterDot]b1\), "\[IndentingNewLine]", 
    \(vev[%]\)}], "Input"],

Cell[BoxData[
    \(\(\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/\
2\)\(\[RightAngleBracket]\)\)\)\/\@2 - \(\(b\_\[UpArrow]\)\^\[Dagger]\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\)\/\@2\)], "Output"],

Cell[BoxData[
    \(\(\(b\_\[DownArrow]\)\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\
\[RightBracketingBar]\)\)\)\/\@2 - \(\(b\_\[UpArrow]\)\[CenterDot]\(\(\
\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\)\)\/\@2\)], \
"Output"],

Cell[BoxData[
    \(1\/2\ \((1 - \
\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\))\) + 
      1\/2\ \((1 - \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\))\
\)\)], "Output"],

Cell[BoxData[
    \(1\)], "Output"]
}, Open  ]],

Cell["Heisenberg Hamiltonian", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(H = J\ ss\)], "Input"],

Cell[BoxData[
    \(J\ \((1\/4\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\
\)\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\
\)\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\
\) - 1\/4\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\) + 
          1\/2\ \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
+ 1\/2\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\) - 
          1\/4\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\[CenterDot]\(\(\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\) \
+ 1\/4\ \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\[CenterDot]\
\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)\[CenterDot]\(\(\
\[LeftAngleBracket]1\/2\)\(\[RightBracketingBar]\)\))\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(b1 = baza[\([2, 2, 1]\)]\), "\n", 
    \(c1 = conj[b1]\), "\[IndentingNewLine]", 
    \(c1\[CenterDot]H\[CenterDot]b1 // Simplify\), "\[IndentingNewLine]", 
    \(vev[%]\)}], "Input"],

Cell[BoxData[
    \(\(\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/\
2\)\(\[RightAngleBracket]\)\)\)\/\@2 - \(\(b\_\[UpArrow]\)\^\[Dagger]\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\)\/\@2\)], "Output"],

Cell[BoxData[
    \(\(\(b\_\[DownArrow]\)\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\
\[RightBracketingBar]\)\)\)\/\@2 - \(\(b\_\[UpArrow]\)\[CenterDot]\(\(\
\[LeftAngleBracket]\(-\(1\/2\)\)\)\(\[RightBracketingBar]\)\)\)\/\@2\)], \
"Output"],

Cell[BoxData[
    \(3\/4\ J\ \((\(-1\) + \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\
\[DownArrow]\) + \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\) + \
\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\^\[Dagger]\
\[CenterDot]\(b\_\[DownArrow]\)\[CenterDot]\(b\_\[UpArrow]\))\)\)], "Output"],

Cell[BoxData[
    \(\(-\(\(3\ J\)\/4\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(b1 = baza[\([3, 2, 1]\)]\), "\[IndentingNewLine]", 
    \(c1 = conj[b1]\), "\[IndentingNewLine]", 
    \(c1\[CenterDot]H\[CenterDot]b1\), "\[IndentingNewLine]", 
    \(vev[%]\)}], "Input"],

Cell[BoxData[
    \(\(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\
\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(\(b\_\[UpArrow]\)\[CenterDot]\(\(\[LeftAngleBracket]1\/2\)\(\
\[RightBracketingBar]\)\)\)], "Output"],

Cell[BoxData[
    \(J\ \((1\/4\ \((1 - \(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\
\[UpArrow]\))\) + 
          1\/4\ \((\(-\((\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\
\[DownArrow]\))\)\) - \(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\
\[UpArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[DownArrow]\)\[CenterDot]\(b\_\
\[UpArrow]\))\))\)\)], "Output"],

Cell[BoxData[
    \(J\/4\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 0.5}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 3}],

Cell[CellGroupData[{

Cell[BoxData[{
    \(sb = baza[\([4, 2]\)]\), "\[IndentingNewLine]", 
    \(matrixrepresentationop[H, sb, sb]\)}], "Input"],

Cell[BoxData[
    \({\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\^\[Dagger]\
\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)}\)], \
"Output"],

Cell[BoxData[
    \({{0}}\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}],

Cell[CellGroupData[{

Cell[BoxData[{
    \(x = nc[a[CR, UP], ket[1/2]]\), "\[IndentingNewLine]", 
    \(ap[x, v]\)}], "Input"],

Cell[BoxData[
    \(\(a\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\
\[RightAngleBracket]\)\)\)], "Output"],

Cell[BoxData[
    \(vc[1, 0, 0, 
      0, \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)]\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(baza\), "\[IndentingNewLine]", 
    \(bazavc = Map[{#[\([1]\)], ap[#[\([2]\)], v]} &, baza]\)}], "Input"],

Cell[BoxData[
    \({{{\(-1\), 
          1\/2}, {\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)}}, \
{{0, 0}, {\(\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]\
1\/2\)\(\[RightAngleBracket]\)\)\)\/\@2 - \(\(b\_\[UpArrow]\)\^\[Dagger]\
\[CenterDot]\(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\[RightAngleBracket]\)\)\
\)\/\@2}}, {{0, 
          1}, {\(b\_\[UpArrow]\)\^\[Dagger]\[CenterDot]\(\(\
\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)}}, {{1, 
          1\/2}, {\(b\_\[DownArrow]\)\^\[Dagger]\[CenterDot]\(b\_\[UpArrow]\)\
\^\[Dagger]\[CenterDot]\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\
\)}}}\)], "Output"],

Cell[BoxData[
    \({{{\(-1\), 
          1\/2}, {vc[0, 0, 0, 
            0, \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)]}}, \
{{0, 0}, {vc[0, 0, 0, 1, \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\
\)\)]\/\@2 - 
            vc[0, 0, 1, 0, \(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\
\[RightAngleBracket]\)\)]\/\@2}}, {{0, 
          1}, {vc[0, 0, 1, 
            0, \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)]}}, \
{{1, 1\/2}, {\(-vc[0, 0, 1, 
              1, \(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)]\)}}\
}\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 0.5}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 3}],

Cell[CellGroupData[{

Cell[BoxData[{
    \(sb = bazavc[\([2, 2]\)]\), "\[IndentingNewLine]", 
    \(matrixrepresentationvc[H, sb]\)}], "Input"],

Cell[BoxData[
    \({vc[0, 0, 0, 1, \
\(\(\[LeftBracketingBar]1\/2\)\(\[RightAngleBracket]\)\)]\/\@2 - 
        vc[0, 0, 1, 0, \(\(\[LeftBracketingBar]\(-\(1\/2\)\)\)\(\
\[RightAngleBracket]\)\)]\/\@2}\)], "Output"],

Cell[BoxData[
    \({{\(-\(\(3\ J\)\/4\)\)}}\)], "Output"]
}, Open  ]],

Cell["", "Text",
  Editable->False,
  Selectable->False,
  CellFrame->{{0, 0}, {0, 3}},
  ShowCellBracket->False,
  CellMargins->{{0, 0}, {1, 1}},
  CellElementSpacings->{"CellMinHeight"->1},
  CellFrameMargins->False,
  CellFrameColor->RGBColor[0, 0, 1],
  CellSize->{Inherited, 5}]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1600}, {0, 1200}},
WindowSize->{520, 973},
WindowMargins->{{Automatic, 173}, {Automatic, 101}},
Visible->True,
ShowSelection->True,
InputAliases->{"intt"->RowBox[ {"\[Integral]", 
        RowBox[ {"\[SelectionPlaceholder]", 
          RowBox[ {"\[DifferentialD]", "\[Placeholder]"}]}]}], 
    "dintt"->RowBox[ {
        SubsuperscriptBox[ 
        "\[Integral]", "\[SelectionPlaceholder]", "\[Placeholder]"], 
        RowBox[ {"\[Placeholder]", 
          RowBox[ {"\[DifferentialD]", "\[Placeholder]"}]}]}], 
    "sumt"->RowBox[ {
        UnderoverscriptBox[ "\[Sum]", 
          RowBox[ {"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
          "\[Placeholder]"], "\[Placeholder]"}], "prodt"->RowBox[ {
        UnderoverscriptBox[ "\[Product]", 
          RowBox[ {"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
          "\[Placeholder]"], "\[Placeholder]"}], "dt"->RowBox[ {
        SubscriptBox[ "\[PartialD]", "\[Placeholder]"], " ", 
        "\[SelectionPlaceholder]"}], "notation"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftRightArrow]", " ",
           
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation>"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongRightArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "notation<"->RowBox[ {"Notation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], " ", "\[DoubleLongLeftArrow]", " ", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "symb"->RowBox[ {"Symbolize", "[", 
        TagBox[ 
        "\[Placeholder]", NotationBoxTag, TagStyle -> 
          "NotationTemplateStyle"], "]"}], 
    "infixnotation"->RowBox[ {"InfixNotation", "[", 
        RowBox[ {
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"], ",", "\[Placeholder]"}], "]"}], 
    "addia"->RowBox[ {"AddInputAlias", "[", 
        RowBox[ {"\"\[Placeholder]\"", "\[Rule]", 
          TagBox[ 
          "\[Placeholder]", NotationBoxTag, TagStyle -> 
            "NotationTemplateStyle"]}], "]"}], 
    "pattwraper"->TagBox[ 
      "\[Placeholder]", NotationPatternTag, TagStyle -> 
        "NotationPatternWrapperStyle"], 
    "madeboxeswraper"->TagBox[ 
      "\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
        "NotationMadeBoxesWrapperStyle"]},
StyleDefinitions -> Notebook[{
  
  Cell[CellGroupData[{
  Cell["Style Definitions", "Title"],
  
  Cell["\<\
Modify the definitions below to change the default appearance of \
all cells in a given style.  Make modifications to any definition using \
commands in the Format menu.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell["Style Environment Names", "Section"],
  
  Cell[StyleData[All, "Working"],
    PageWidth->WindowWidth,
    CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
    CellLabelMargins->{{12, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Presentation"],
    PageWidth->WindowWidth,
    CellLabelMargins->{{24, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->12],
  
  Cell[StyleData[All, "Condensed"],
    PageWidth->WindowWidth,
    CellLabelMargins->{{8, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->8],
  
  Cell[StyleData[All, "SlideShow"],
    PageWidth->WindowWidth,
    ScrollingOptions->{"PagewiseDisplay"->True,
    "VerticalScrollRange"->Fit},
    ShowCellBracket->False,
    ScriptMinSize->9],
  
  Cell[StyleData[All, "Printout"],
    PageWidth->PaperWidth,
    CellLabelMargins->{{2, Inherited}, {Inherited, Inherited}},
    ScriptMinSize->5,
    PrivateFontOptions->{"FontType"->"Outline"}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Notebook Options", "Section"],
  
  Cell["\<\
The options defined for the style below will be used at the \
Notebook level.\
\>", "Text"],
  
  Cell[StyleData["Notebook"],
    PageHeaders->{{Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 
            TextData[ {
              ValueBox[ "FileName"]}], "Header"], None, Cell[ 
            TextData[ {
              CounterBox[ "Page"]}], "PageNumber"]}},
    CellFrameLabelMargins->6,
    StyleMenuListing->None]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headings", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Title"],
    CellMargins->{{27, Inherited}, {10, 30}},
    CellGroupingRules->{"TitleGrouping", 0},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LineSpacing->{1, 11},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Title",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subtitle", 0}, {"Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->36,
    FontWeight->"Bold"],
  
  Cell[StyleData["Title", "Presentation"],
    CellMargins->{{27, 10}, {10, 30}},
    LineSpacing->{1, 0},
    FontSize->44],
  
  Cell[StyleData["Title", "Condensed"],
    CellMargins->{{8, 10}, {4, 8}},
    FontSize->20],
  
  Cell[StyleData["Title", "SlideShow"]],
  
  Cell[StyleData["Title", "Printout"],
    CellMargins->{{2, 10}, {12, 30}},
    FontSize->24]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subtitle"],
    CellMargins->{{27, Inherited}, {20, 2}},
    CellGroupingRules->{"TitleGrouping", 10},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {
        "Subsubtitle", 0}},
    FontFamily->"Helvetica",
    FontSize->24],
  
  Cell[StyleData["Subtitle", "Presentation"],
    CellMargins->{{27, 10}, {20, 2}},
    LineSpacing->{1, 0},
    FontSize->36],
  
  Cell[StyleData["Subtitle", "Condensed"],
    CellMargins->{{8, 10}, {4, 4}},
    FontSize->14],
  
  Cell[StyleData["Subtitle", "SlideShow"]],
  
  Cell[StyleData["Subtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->18]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubtitle"],
    CellMargins->{{27, Inherited}, {8, 2}},
    CellGroupingRules->{"TitleGrouping", 20},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subsubtitle",
    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},
    FontFamily->"Helvetica",
    FontSize->16],
  
  Cell[StyleData["Subsubtitle", "Presentation"],
    CellMargins->{{24, 10}, {20, 20}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Subsubtitle", "Condensed"],
    CellMargins->{{8, 10}, {8, 8}},
    FontSize->12],
  
  Cell[StyleData["Subsubtitle", "SlideShow"]],
  
  Cell[StyleData["Subsubtitle", "Printout"],
    CellMargins->{{2, 10}, {12, 8}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Section"],
    CellFrame->{{0, 0}, {0, 1}},
    CellMargins->{{27, Inherited}, {8, 34}},
    CellGroupingRules->{"SectionGrouping", 30},
    PageBreakBelow->False,
    CellFrameMargins->4,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LineSpacing->{1, 2},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->20,
    FontWeight->"Bold"],
  
  Cell[StyleData["Section", "Presentation"],
    CellMargins->{{40, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->24],
  
  Cell[StyleData["Section", "Condensed"],
    CellMargins->{{18, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Section", "SlideShow"]],
  
  Cell[StyleData["Section", "Printout"],
    CellMargins->{{2, 0}, {7, 22}},
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{60, Inherited}, {8, 12}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subsection",
    CounterAssignments->{{"Subsubsection", 0}},
    FontFamily->"Helvetica",
    FontSize->14,
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsection", "Presentation"],
    CellMargins->{{36, 10}, {11, 32}},
    LineSpacing->{1, 0},
    FontSize->22],
  
  Cell[StyleData["Subsection", "Condensed"],
    CellMargins->{{16, Inherited}, {6, 12}},
    FontSize->12],
  
  Cell[StyleData["Subsection", "SlideShow"]],
  
  Cell[StyleData["Subsection", "Printout"],
    CellMargins->{{9, 0}, {7, 22}},
    FontSize->12]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Subsubsection"],
    CellDingbat->"\[FilledSmallSquare]",
    CellMargins->{{60, Inherited}, {2, 10}},
    CellGroupingRules->{"SectionGrouping", 50},
    PageBreakBelow->False,
    DefaultNewInlineCellStyle->"None",
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"Subsubsection",
    FontFamily->"Times",
    FontWeight->"Bold"],
  
  Cell[StyleData["Subsubsection", "Presentation"],
    CellMargins->{{34, 10}, {11, 26}},
    LineSpacing->{1, 0},
    FontSize->18],
  
  Cell[StyleData["Subsubsection", "Condensed"],
    CellMargins->{{17, Inherited}, {6, 12}},
    FontSize->10],
  
  Cell[StyleData["Subsubsection", "SlideShow"]],
  
  Cell[StyleData["Subsubsection", "Printout"],
    CellMargins->{{9, 0}, {7, 14}},
    FontSize->11]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Body Text", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Text"],
    CellMargins->{{60, 10}, {7, 7}},
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    LineSpacing->{1, 3},
    CounterIncrements->"Text"],
  
  Cell[StyleData["Text", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["Text", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1},
    FontSize->11],
  
  Cell[StyleData["Text", "SlideShow"]],
  
  Cell[StyleData["Text", "Printout"],
    CellMargins->{{2, 2}, {6, 6}},
    TextJustification->0.5,
    Hyphenation->True,
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SmallText"],
    CellMargins->{{60, 10}, {6, 6}},
    DefaultNewInlineCellStyle->"None",
    LineSpacing->{1, 3},
    LanguageCategory->"NaturalLanguage",
    CounterIncrements->"SmallText",
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["SmallText", "Presentation"],
    CellMargins->{{24, 10}, {8, 8}},
    LineSpacing->{1, 5},
    FontSize->12],
  
  Cell[StyleData["SmallText", "Condensed"],
    CellMargins->{{8, 10}, {5, 5}},
    LineSpacing->{1, 2},
    FontSize->9],
  
  Cell[StyleData["SmallText", "SlideShow"]],
  
  Cell[StyleData["SmallText", "Printout"],
    CellMargins->{{2, 2}, {5, 5}},
    TextJustification->0.5,
    Hyphenation->True,
    FontSize->7]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Input/Output", "Section"],
  
  Cell["\<\
The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). \
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Input"],
    CellMargins->{{66, 10}, {5, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    DefaultFormatType->DefaultInputFormatType,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->"Mathematica",
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    LinebreakAdjustments->{0.85, 2, 10, 0, 1},
    CounterIncrements->"Input",
    FontWeight->"Bold"],
  
  Cell[StyleData["Input", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Input", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}},
    FontSize->11],
  
  Cell[StyleData["Input", "SlideShow"]],
  
  Cell[StyleData["Input", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    LinebreakAdjustments->{0.85, 2, 10, 1, 1},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InputOnly"],
    CellMargins->{{66, 10}, {7, 7}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->"Mathematica",
    FormatType->InputForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    LinebreakAdjustments->{0.85, 2, 10, 0, 1},
    CounterIncrements->"Input",
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["InputOnly", "Presentation"],
    CellMargins->{{72, Inherited}, {8, 10}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["InputOnly", "Condensed"],
    CellMargins->{{40, 10}, {2, 3}},
    FontSize->11],
  
  Cell[StyleData["InputOnly", "SlideShow"]],
  
  Cell[StyleData["InputOnly", "Printout"],
    CellMargins->{{39, 0}, {4, 6}},
    LinebreakAdjustments->{0.85, 2, 10, 1, 1},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Output"],
    CellMargins->{{66, 10}, {7, 5}},
    CellEditDuplicate->True,
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    DefaultFormatType->DefaultOutputFormatType,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->None,
    FormatType->InputForm,
    CounterIncrements->"Output"],
  
  Cell[StyleData["Output", "Presentation"],
    CellMargins->{{72, Inherited}, {10, 8}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Output", "Condensed"],
    CellMargins->{{41, Inherited}, {3, 2}},
    FontSize->11],
  
  Cell[StyleData["Output", "SlideShow"]],
  
  Cell[StyleData["Output", "Printout"],
    CellMargins->{{39, 0}, {6, 4}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Message"],
    CellMargins->{{66, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    AutoStyleOptions->{"UnmatchedBracketStyle"->None},
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->None,
    FormatType->InputForm,
    CounterIncrements->"Message",
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10,
    FontColor->RGBColor[0.6, 0.100008, 0.100008]],
  
  Cell[StyleData["Message", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Message", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}},
    FontSize->11],
  
  Cell[StyleData["Message", "SlideShow"]],
  
  Cell[StyleData["Message", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->7,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Print"],
    CellMargins->{{66, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"OutputGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    AutoItalicWords->{},
    LanguageCategory->None,
    FormatType->InputForm,
    CounterIncrements->"Print",
    StyleMenuListing->None],
  
  Cell[StyleData["Print", "Presentation"],
    CellMargins->{{72, Inherited}, {Inherited, Inherited}},
    LineSpacing->{1, 0},
    FontSize->16],
  
  Cell[StyleData["Print", "Condensed"],
    CellMargins->{{41, Inherited}, {Inherited, Inherited}},
    FontSize->11],
  
  Cell[StyleData["Print", "SlideShow"]],
  
  Cell[StyleData["Print", "Printout"],
    CellMargins->{{39, Inherited}, {Inherited, Inherited}},
    FontSize->8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Graphics"],
    CellMargins->{{4, Inherited}, {Inherited, Inherited}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    GeneratedCell->True,
    CellAutoOverwrite->True,
    ShowCellLabel->False,
    DefaultFormatType->DefaultOutputFormatType,
    LanguageCategory->None,
    FormatType->InputForm,
    CounterIncrements->"Graphics",
    ImageMargins->{{43, Inherited}, {Inherited, 0}},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontSize->10],
  
  Cell[StyleData["Graphics", "Presentation"],
    ImageMargins->{{62, Inherited}, {Inherited, 0}}],
  
  Cell[StyleData["Graphics", "Condensed"],
    ImageMargins->{{38, Inherited}, {Inherited, 0}},
    Magnification->0.6],
  
  Cell[StyleData["Graphics", "SlideShow"]],
  
  Cell[StyleData["Graphics", "Printout"],
    ImageMargins->{{30, Inherited}, {Inherited, 0}},
    Magnification->0.8]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["CellLabel"],
    LanguageCategory->None,
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9,
    FontColor->RGBColor[0.269993, 0.308507, 0.6]],
  
  Cell[StyleData["CellLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["CellLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["CellLabel", "SlideShow"]],
  
  Cell[StyleData["CellLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FrameLabel"],
    LanguageCategory->None,
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->9],
  
  Cell[StyleData["FrameLabel", "Presentation"],
    FontSize->12],
  
  Cell[StyleData["FrameLabel", "Condensed"],
    FontSize->9],
  
  Cell[StyleData["FrameLabel", "SlideShow"]],
  
  Cell[StyleData["FrameLabel", "Printout"],
    FontFamily->"Courier",
    FontSize->8,
    FontSlant->"Italic",
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Inline Formatting", "Section"],
  
  Cell["\<\
These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.\
\>", "Text"],
  
  Cell[StyleData["RM"],
    StyleMenuListing->None,
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["BF"],
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["IT"],
    StyleMenuListing->None,
    FontSlant->"Italic"],
  
  Cell[StyleData["TR"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["TI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["TB"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["TBI"],
    StyleMenuListing->None,
    FontFamily->"Times",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["MR"],
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["MO"],
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["MB"],
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["MBO"],
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[StyleData["SR"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Plain"],
  
  Cell[StyleData["SO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SB"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Plain"],
  
  Cell[StyleData["SBO"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SO10"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->10,
    FontWeight->"Plain",
    FontSlant->"Italic"],
  
  Cell[StyleData["SO10", "Printout"],
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->7,
    FontWeight->"Plain",
    FontSlant->"Italic"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Inert"],
    StyleMenuListing->None,
    Background->RGBColor[0.870588, 0.905882, 0.972549]],
  
  Cell[StyleData["Inert", "Printout"],
    StyleMenuListing->None,
    Background->GrayLevel[1]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Formulas and Programming", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineFormula"],
    CellMargins->{{10, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Formula",
    ScriptLevel->1,
    SingleLetterItalics->True],
  
  Cell[StyleData["InlineFormula", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["InlineFormula", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1},
    FontSize->11],
  
  Cell[StyleData["InlineFormula", "SlideShow"]],
  
  Cell[StyleData["InlineFormula", "Printout"],
    CellMargins->{{2, 0}, {6, 6}},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DisplayFormula"],
    CellMargins->{{60, Inherited}, {Inherited, Inherited}},
    CellHorizontalScrolling->True,
    DefaultFormatType->DefaultInputFormatType,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Formula",
    ScriptLevel->0,
    SingleLetterItalics->True,
    UnderoverscriptBoxOptions->{LimitsPositioning->True}],
  
  Cell[StyleData["DisplayFormula", "Presentation"],
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["DisplayFormula", "Condensed"],
    LineSpacing->{1, 1},
    FontSize->11],
  
  Cell[StyleData["DisplayFormula", "SlideShow"]],
  
  Cell[StyleData["DisplayFormula", "Printout"],
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Program"],
    CellFrame->{{0, 0}, {0.5, 0.5}},
    CellMargins->{{60, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    Hyphenation->False,
    LanguageCategory->"Formula",
    ScriptLevel->1,
    FontFamily->"Courier"],
  
  Cell[StyleData["Program", "Presentation"],
    CellMargins->{{24, 10}, {10, 10}},
    LineSpacing->{1, 5},
    FontSize->16],
  
  Cell[StyleData["Program", "Condensed"],
    CellMargins->{{8, 10}, {6, 6}},
    LineSpacing->{1, 1},
    FontSize->11],
  
  Cell[StyleData["Program", "SlideShow"]],
  
  Cell[StyleData["Program", "Printout"],
    CellMargins->{{2, 0}, {6, 6}},
    FontSize->9]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Outline Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline1"],
    CellMargins->{{60, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 50},
    ParagraphIndent->-38,
    CounterIncrements->"Outline1",
    CounterAssignments->{{"Outline2", 0}, {"Outline3", 0}, {"Outline4", 0}},
    FontSize->18,
    FontWeight->"Bold",
    CounterBoxOptions->{
    CounterFunction:>Utilities`Notation`Private`CapitalRomanNumeral}],
  
  Cell[StyleData["Outline1", "SlideShow"]],
  
  Cell[StyleData["Outline1", "Printout"],
    CounterBoxOptions->{
    CounterFunction:>Utilities`Notation`Private`CapitalRomanNumeral}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline2"],
    CellMargins->{{90, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 60},
    ParagraphIndent->-27,
    CounterIncrements->"Outline2",
    CounterAssignments->{{"Outline3", 0}, {"Outline4", 0}},
    FontSize->15,
    FontWeight->"Bold",
    CounterBoxOptions->{CounterFunction:>(Part[ 
        CharacterRange[ "A", "Z"], #]&)}],
  
  Cell[StyleData["Outline2", "SlideShow"]],
  
  Cell[StyleData["Outline2", "Printout"],
    CounterBoxOptions->{CounterFunction:>(Part[ 
        CharacterRange[ "A", "Z"], #]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline3"],
    CellMargins->{{120, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 70},
    ParagraphIndent->-21,
    CounterIncrements->"Outline3",
    CounterAssignments->{{"Outline4", 0}},
    FontSize->12,
    CounterBoxOptions->{CounterFunction:>Identity}],
  
  Cell[StyleData["Outline3", "SlideShow"]],
  
  Cell[StyleData["Outline3", "Printout"],
    CounterBoxOptions->{CounterFunction:>Identity}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Outline4"],
    CellMargins->{{150, 10}, {7, 7}},
    CellGroupingRules->{"SectionGrouping", 80},
    ParagraphIndent->-18,
    CounterIncrements->"Outline4",
    FontSize->10,
    CounterBoxOptions->{CounterFunction:>(Part[ 
        CharacterRange[ "a", "z"], #]&)}],
  
  Cell[StyleData["Outline4", "SlideShow"]],
  
  Cell[StyleData["Outline4", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Hyperlink Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Hyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonFrame->"None",
    ButtonNote->ButtonData}],
  
  Cell[StyleData["Hyperlink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["Hyperlink", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["Hyperlink", "SlideShow"]],
  
  Cell[StyleData["Hyperlink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell["\<\
The following styles are for linking automatically to the on-line \
help system.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MainBookLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MainBookLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["MainBookLink", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["MainBookLink", "SlideShow"]],
  
  Cell[StyleData["MainBookLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["AddOnsLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["AddOnsLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["AddOnsLink", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["AddOnsLink", "SlideShow"]],
  
  Cell[StyleData["AddOnsLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Courier",
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuide", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["RefGuideLink", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["RefGuideLink", "SlideShow"]],
  
  Cell[StyleData["RefGuideLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["RefGuideLinkText"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "RefGuide", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["RefGuideLinkText", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["RefGuideLinkText", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["RefGuideLinkText", "SlideShow"]],
  
  Cell[StyleData["RefGuideLinkText", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["GettingStartedLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["GettingStartedLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["GettingStartedLink", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["GettingStartedLink", "SlideShow"]],
  
  Cell[StyleData["GettingStartedLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DemosLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "Demos", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["DemosLink", "SlideShow"]],
  
  Cell[StyleData["DemosLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TourLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "Tour", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["TourLink", "SlideShow"]],
  
  Cell[StyleData["TourLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OtherInformationLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["OtherInformationLink", "Presentation"],
    FontSize->16],
  
  Cell[StyleData["OtherInformationLink", "Condensed"],
    FontSize->11],
  
  Cell[StyleData["OtherInformationLink", "SlideShow"]],
  
  Cell[StyleData["OtherInformationLink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MasterIndexLink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontColor->RGBColor[0.269993, 0.308507, 0.6],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`HelpBrowserLookup[ "MasterIndex", #]}]&),
    Active->True,
    ButtonFrame->"None"}],
  
  Cell[StyleData["MasterIndexLink", "SlideShow"]],
  
  Cell[StyleData["MasterIndexLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles for Headers and Footers", "Section"],
  
  Cell[StyleData["Header"],
    CellMargins->{{0, 0}, {4, 1}},
    DefaultNewInlineCellStyle->"None",
    LanguageCategory->"NaturalLanguage",
    StyleMenuListing->None,
    FontSize->10,
    FontSlant->"Italic"],
  
  Cell[StyleData["Footer"],
    CellMargins->{{0, 0}, {0, 4}},
    DefaultNewInlineCellStyle->"None",
    LanguageCategory->"NaturalLanguage",
    StyleMenuListing->None,
    FontSize->9,
    FontSlant->"Italic"],
  
  Cell[StyleData["PageNumber"],
    CellMargins->{{0, 0}, {4, 1}},
    StyleMenuListing->None,
    FontFamily->"Times",
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Palette Styles", "Section"],
  
  Cell["\<\
The cells below define styles that define standard \
ButtonFunctions, for use in palette buttons.\
\>", "Text"],
  
  Cell[StyleData["Paste"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, Placeholder]}]&)}],
  
  Cell[StyleData["Evaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["EvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionMove[ 
          FrontEnd`InputNotebook[ ], All, Cell, 1], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluate"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluate[ 
          FrontEnd`InputNotebook[ ], All]}]&)}],
  
  Cell[StyleData["CopyEvaluateCell"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`SelectionCreateCell[ 
          FrontEnd`InputNotebook[ ], All], 
        FrontEnd`NotebookApply[ 
          FrontEnd`InputNotebook[ ], #, All], 
        FrontEnd`SelectionEvaluateCreateCell[ 
          FrontEnd`InputNotebook[ ], All]}]&)}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Placeholder Styles", "Section"],
  
  Cell["\<\
The cells below define styles useful for making placeholder \
objects in palette templates.\
\>", "Text"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Placeholder"],
    Placeholder->True,
    StyleMenuListing->None,
    FontSlant->"Italic",
    FontColor->RGBColor[0.890623, 0.864698, 0.384756],
    TagBoxOptions->{Editable->False,
    Selectable->False,
    StripWrapperBoxes->False}],
  
  Cell[StyleData["Placeholder", "Presentation"]],
  
  Cell[StyleData["Placeholder", "Condensed"]],
  
  Cell[StyleData["Placeholder", "SlideShow"]],
  
  Cell[StyleData["Placeholder", "Printout"]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PrimaryPlaceholder"],
    StyleMenuListing->None,
    DrawHighlighted->True,
    FontSlant->"Italic",
    Background->RGBColor[0.912505, 0.891798, 0.507774],
    TagBoxOptions->{Editable->False,
    Selectable->False,
    StripWrapperBoxes->False}],
  
  Cell[StyleData["PrimaryPlaceholder", "Presentation"]],
  
  Cell[StyleData["PrimaryPlaceholder", "Condensed"]],
  
  Cell[StyleData["PrimaryPlaceholder", "SlideShow"]],
  
  Cell[StyleData["PrimaryPlaceholder", "Printout"]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["FormatType Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are mixed in with the styles \
of most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.\
\>", "Text"],
  
  Cell[StyleData["CellExpression"],
    PageWidth->Infinity,
    CellMargins->{{6, Inherited}, {Inherited, Inherited}},
    ShowCellLabel->False,
    ShowSpecialCharacters->False,
    AllowInlineCells->False,
    Hyphenation->False,
    AutoItalicWords->{},
    StyleMenuListing->None,
    FontFamily->"Courier",
    FontSize->12,
    Background->GrayLevel[1]],
  
  Cell[StyleData["InputForm"],
    InputAutoReplacements->{},
    AllowInlineCells->False,
    Hyphenation->False,
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["OutputForm"],
    PageWidth->Infinity,
    TextAlignment->Left,
    LineSpacing->{0.6, 1},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["StandardForm"],
    InputAutoReplacements->{
      "->"->"\[Rule]", ":>"->"\[RuleDelayed]", "<="->"\[LessEqual]", 
        ">="->"\[GreaterEqual]", "!="->"\[NotEqual]", "=="->"\[Equal]", 
        Inherited},
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    LineSpacing->{1.25, 0},
    StyleMenuListing->None,
    FontFamily->"Courier"],
  
  Cell[StyleData["TraditionalForm"],
    InputAutoReplacements->{
      "->"->"\[Rule]", ":>"->"\[RuleDelayed]", "<="->"\[LessEqual]", 
        ">="->"\[GreaterEqual]", "!="->"\[NotEqual]", "=="->"\[Equal]", 
        Inherited},
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    LineSpacing->{1.25, 0},
    SingleLetterItalics->True,
    TraditionalFunctionNotation->True,
    DelimiterMatching->None,
    StyleMenuListing->None],
  
  Cell["\<\
The style defined below is mixed in to any cell that is in an \
inline cell within another.\
\>", "Text"],
  
  Cell[StyleData["InlineCell"],
    LanguageCategory->"Formula",
    ScriptLevel->1,
    StyleMenuListing->None],
  
  Cell[StyleData["InlineCellEditing"],
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Automatic Styles", "Section"],
  
  Cell["\<\
The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).\
\>", "Text"],
  
  Cell[StyleData["UnmatchedBracket"],
    StyleMenuListing->None,
    FontColor->RGBColor[0.760006, 0.330007, 0.8]],
  
  Cell[StyleData["Completions"],
    StyleMenuListing->None,
    FontFamily->"Courier"]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Styles from HelpBrowser", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MathCaption"],
    CellFrame->{{0, 0}, {0, 0.5}},
    CellMargins->{{66, 12}, {2, 24}},
    PageBreakBelow->False,
    CellFrameMargins->{{8, 8}, {8, 2}},
    CellFrameColor->GrayLevel[0.700008],
    CellFrameLabelMargins->4,
    LineSpacing->{1, 1},
    ParagraphSpacing->{0, 8},
    StyleMenuListing->None,
    FontColor->GrayLevel[0.2]],
  
  Cell[StyleData["MathCaption", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["MathCaption", "SlideShow"]],
  
  Cell[StyleData["MathCaption", "Printout"],
    CellMargins->{{39, 0}, {0, 14}},
    Hyphenation->True,
    FontSize->9,
    FontColor->GrayLevel[0]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ObjectName"],
    ShowCellBracket->True,
    CellMargins->{{66, 4}, {8, 8}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelAutoDelete->False,
    CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    ShowSpecialCharacters->Automatic,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Mathematica",
    FormatType->StandardForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["ObjectName", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ObjectName", "SlideShow"]],
  
  Cell[StyleData["ObjectName", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Usage"],
    ShowCellBracket->True,
    CellMargins->{{66, 4}, {8, 8}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelAutoDelete->False,
    CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    ShowSpecialCharacters->Automatic,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Mathematica",
    FormatType->StandardForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["Usage", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["Usage", "SlideShow"]],
  
  Cell[StyleData["Usage", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Notes"],
    ShowCellBracket->True,
    CellMargins->{{66, 4}, {8, 8}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelAutoDelete->False,
    CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    ShowSpecialCharacters->Automatic,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Mathematica",
    FormatType->StandardForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["Notes", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["Notes", "SlideShow"]],
  
  Cell[StyleData["Notes", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["InlineOutput"],
    ShowCellBracket->True,
    CellMargins->{{66, 4}, {8, 8}},
    Evaluatable->True,
    CellGroupingRules->"InputGrouping",
    PageBreakWithin->False,
    GroupPageBreakWithin->False,
    CellLabelAutoDelete->False,
    CellLabelMargins->{{14, Inherited}, {Inherited, Inherited}},
    DefaultFormatType->DefaultInputFormatType,
    ShowSpecialCharacters->Automatic,
    "TwoByteSyntaxCharacterAutoReplacement"->True,
    HyphenationOptions->{"HyphenationCharacter"->"\[Continuation]"},
    LanguageCategory->"Mathematica",
    FormatType->StandardForm,
    ShowStringCharacters->True,
    NumberMarks->True,
    StyleMenuListing->None,
    FontWeight->"Bold"],
  
  Cell[StyleData["InlineOutput", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["InlineOutput", "SlideShow"]],
  
  Cell[StyleData["InlineOutput", "Printout"],
    ShowCellBracket->False,
    CellMargins->{{39, 0}, {6, 6}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Emphasis Boxes and Pictures", "Subsection"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Box"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnSpacings->1}],
  
  Cell[StyleData["Box", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["Box", "SlideShow"]],
  
  Cell[StyleData["Box", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DoubleBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnSpacings->2,
    RowAlignments->Top}],
  
  Cell[StyleData["DoubleBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["DoubleBox", "SlideShow"]],
  
  Cell[StyleData["DoubleBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["1ColumnBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnSpacings->1}],
  
  Cell[StyleData["1ColumnBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["1ColumnBox", "SlideShow"]],
  
  Cell[StyleData["1ColumnBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    SingleLetterItalics->False,
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnWidths->{0.31, 0.67}}],
  
  Cell[StyleData["2ColumnBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["2ColumnBox", "SlideShow"]],
  
  Cell[StyleData["2ColumnBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->9,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnEvenBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnWidths->0.46}],
  
  Cell[StyleData["2ColumnEvenBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["2ColumnEvenBox", "SlideShow"]],
  
  Cell[StyleData["2ColumnEvenBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnSmallBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnSpacings->1.5,
    ColumnWidths->0.35,
    ColumnAlignments->{Right, Left}}],
  
  Cell[StyleData["2ColumnSmallBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["2ColumnSmallBox", "SlideShow"]],
  
  Cell[StyleData["2ColumnSmallBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnWidths->0.32}],
  
  Cell[StyleData["3ColumnBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["3ColumnBox", "SlideShow"]],
  
  Cell[StyleData["3ColumnBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnSmallBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnSpacings->1.5,
    ColumnWidths->0.24,
    ColumnAlignments->{Right, Center, Left}}],
  
  Cell[StyleData["3ColumnSmallBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["3ColumnSmallBox", "SlideShow"]],
  
  Cell[StyleData["3ColumnSmallBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["4ColumnBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    SingleLetterItalics->False,
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnWidths->{0.13, 0.35, 0.13, 0.35}}],
  
  Cell[StyleData["4ColumnBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["4ColumnBox", "SlideShow"]],
  
  Cell[StyleData["4ColumnBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["5ColumnBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnWidths->0.202}],
  
  Cell[StyleData["5ColumnBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["5ColumnBox", "SlideShow"]],
  
  Cell[StyleData["5ColumnBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->9,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["6ColumnBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxFrame->0.5,
    BoxMargins->True},
    GridBoxOptions->{ColumnWidths->{0.12, 0.22, 0.12, 0.12, 0.22, 0.12}}],
  
  Cell[StyleData["6ColumnBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["6ColumnBox", "SlideShow"]],
  
  Cell[StyleData["6ColumnBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["FramedBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["FramedBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["FramedBox", "SlideShow"]],
  
  Cell[StyleData["FramedBox", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.4, 0.6},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["DefinitionBox", "SlideShow"]],
  
  Cell[StyleData["DefinitionBox", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox3Col"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.35, 0.2, 0.45},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox3Col", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["DefinitionBox3Col", "SlideShow"]],
  
  Cell[StyleData["DefinitionBox3Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox4Col"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.15, 0.35, 0.15, 0.35},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox4Col", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["DefinitionBox4Col", "SlideShow"]],
  
  Cell[StyleData["DefinitionBox4Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox5Col"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->0.2,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox5Col", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["DefinitionBox5Col", "SlideShow"]],
  
  Cell[StyleData["DefinitionBox5Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["DefinitionBox6Col"],
    CellFrame->0.5,
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakWithin->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.13, 0.24, 0.13, 0.13, 0.24, 0.13},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["DefinitionBox6Col", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["DefinitionBox6Col", "SlideShow"]],
  
  Cell[StyleData["DefinitionBox6Col", "Printout"],
    CellMargins->{{2, 4}, {0, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TopBox"],
    CellFrame->{{0.5, 0.5}, {0, 0.5}},
    CellMargins->{{27, 12}, {0, 8}},
    CellHorizontalScrolling->True,
    PageBreakBelow->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TopBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TopBox", "SlideShow"]],
  
  Cell[StyleData["TopBox", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{27, 12}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["MiddleBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["MiddleBox", "SlideShow"]],
  
  Cell[StyleData["MiddleBox", "Printout"],
    CellMargins->{{2, 0}, {0, 2}},
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["BottomBox"],
    CellFrame->{{0.5, 0.5}, {0.5, 0}},
    CellMargins->{{27, 12}, {0, -7}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.31, 0.62},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["BottomBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["BottomBox", "SlideShow"]],
  
  Cell[StyleData["BottomBox", "Printout"],
    CellMargins->{{2, 0}, {0, -5}},
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->2.2}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["TopSpanBox"],
    CellFrame->{{0.5, 0.5}, {0, 0.5}},
    CellMargins->{{27, 12}, {-2, 8}},
    CellHorizontalScrolling->True,
    PageBreakBelow->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.9, 0.03},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["TopSpanBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["TopSpanBox", "SlideShow"]],
  
  Cell[StyleData["TopSpanBox", "Printout"],
    CellMargins->{{2, 0}, {-2, 8}},
    FontSize->10,
    Background->GrayLevel[1]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["MiddleSpanBox"],
    CellFrame->{{0.5, 0.5}, {0, 0}},
    CellMargins->{{27, 12}, {0, 0}},
    CellHorizontalScrolling->True,
    PageBreakAbove->False,
    PageBreakBelow->False,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    AutoIndent->False,
    AutoSpacing->False,
    LineIndent->0,
    StyleMenuListing->None,
    FontWeight->"Plain",
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    GridBoxOptions->{RowSpacings->1.5,
    ColumnSpacings->1,
    ColumnWidths->{0.9, 0.03},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["MiddleSpanBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["MiddleSpanBox", "SlideShow"]],
  
  Cell[StyleData["MiddleSpanBox", "Printout"],
    CellMargins->{{2, 0}, {-5, 0}},
    FontSize->10,
    Background->GrayLevel[1],
    GridBoxOptions->{RowMinHeight->1.8}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Picture"],
    CellMargins->{{27, Inherited}, {4, 4}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    StyleMenuListing->None],
  
  Cell[StyleData["Picture", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["Picture", "SlideShow"]],
  
  Cell[StyleData["Picture", "Printout"],
    CellMargins->{{2, Inherited}, {4, 4}},
    Magnification->0.65]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["OpenCloseItemizedPicture"],
    CellMargins->{{88, 4}, {4, 4}},
    PrivateCellOptions->{"DefaultCellGroupOpen"->False},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    StyleMenuListing->None],
  
  Cell[StyleData["OpenCloseItemizedPicture", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["OpenCloseItemizedPicture", "SlideShow"]],
  
  Cell[StyleData["OpenCloseItemizedPicture", "Printout"],
    CellMargins->{{76, 2}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ItemizedPicture"],
    CellMargins->{{88, 4}, {4, 4}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    StyleMenuListing->None],
  
  Cell[StyleData["ItemizedPicture", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ItemizedPicture", "SlideShow"]],
  
  Cell[StyleData["ItemizedPicture", "Printout"],
    CellMargins->{{77, 2}, {4, -4}},
    Magnification->0.5]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ListGraphic"],
    CellMargins->{{88, 4}, {4, 4}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    StyleMenuListing->None],
  
  Cell[StyleData["ListGraphic", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ListGraphic", "SlideShow"]],
  
  Cell[StyleData["ListGraphic", "Printout"],
    CellMargins->{{77, 2}, {4, -4}},
    Magnification->0.5]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["ListNoteBox"],
    CellFrame->0.5,
    CellMargins->{{88, 12}, {8, 8}},
    CellHorizontalScrolling->True,
    CellFrameColor->RGBColor[0.74902, 0.694118, 0.552941],
    LineIndent->0,
    StyleMenuListing->None,
    Background->RGBColor[0.964706, 0.929412, 0.839216],
    FrameBoxOptions->{BoxMargins->{{1, 1}, {1.5, 1.5}}},
    GridBoxOptions->{ColumnSpacings->1}],
  
  Cell[StyleData["ListNoteBox", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["ListNoteBox", "SlideShow"]],
  
  Cell[StyleData["ListNoteBox", "Printout"],
    CellMargins->{{77, 4}, {6, 2}},
    FontSize->10,
    Background->GrayLevel[0.900008]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["PictureGroup"],
    CellMargins->{{41, 4}, {0, 4}},
    CellGroupingRules->"GraphicsGrouping",
    CellHorizontalScrolling->True,
    StyleMenuListing->None],
  
  Cell[StyleData["PictureGroup", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["PictureGroup", "SlideShow"]],
  
  Cell[StyleData["PictureGroup", "Printout"],
    CellMargins->{{76, 2}, {0, 0}},
    CellElementSpacings->{"CellMinHeight"->1,
    "ClosedCellHeight"->0},
    CellOpen->False]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["Sound"],
    ShowCellBracket->True,
    CellMargins->{{27, Inherited}, {0, 8}},
    StyleMenuListing->None],
  
  Cell[StyleData["Sound", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["Sound", "SlideShow"]],
  
  Cell[StyleData["Sound", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->10]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Tables", "Subsection"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnTable"],
    CellMargins->{{35, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->{0.34, 0.64},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["2ColumnTable", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["2ColumnTable", "SlideShow"]],
  
  Cell[StyleData["2ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["2ColumnEvenTable"],
    CellMargins->{{35, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->0.49,
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["2ColumnEvenTable", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["2ColumnEvenTable", "SlideShow"]],
  
  Cell[StyleData["2ColumnEvenTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->9]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["3ColumnTable"],
    CellMargins->{{35, 4}, {0, 8}},
    CellHorizontalScrolling->True,
    LineIndent->0,
    StyleMenuListing->None,
    GridBoxOptions->{ColumnWidths->{0.28, 0.28, 0.43},
    ColumnAlignments->{Left}}],
  
  Cell[StyleData["3ColumnTable", "Presentation"],
    FontSize->18],
  
  Cell[StyleData["3ColumnTable", "SlideShow"]],
  
  Cell[StyleData["3ColumnTable", "Printout"],
    CellMargins->{{2, 0}, {0, 8}},
    FontSize->9]
  }, Closed]]
  }, Closed]]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell["Slide Show Styles", "Section"],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SlideShowNavigationBar"],
    Editable->False,
    CellFrame->True,
    CellMargins->{{0, 0}, {3, 3}},
    CellElementSpacings->{"CellMinHeight"->0.8125},
    CellGroupingRules->{"SectionGrouping", 30},
    CellFrameMargins->False,
    CellFrameColor->GrayLevel[1],
    CellFrameLabelMargins->False,
    TextAlignment->Center,
    CounterIncrements->"SlideShowNavigationBar",
    StyleMenuListing->None,
    FontSize->10,
    Background->GrayLevel[0.8],
    Magnification->1,
    GridBoxOptions->{GridBaseline->Center,
    RowSpacings->0,
    ColumnSpacings->0,
    ColumnWidths->{3.5, 3.5, 3.5, 3.5, 13, 5, 4},
    RowAlignments->Baseline,
    ColumnAlignments->{
      Center, Center, Center, Center, Center, Center, Right, Center}}],
  
  Cell[StyleData["SlideShowNavigationBar", "Presentation"]],
  
  Cell[StyleData["SlideShowNavigationBar", "SlideShow"],
    Deletable->False,
    ShowCellBracket->False,
    CellMargins->{{-1, -1}, {-1, -1}},
    PageBreakAbove->True,
    CellFrameMargins->{{1, 1}, {0, 0}}],
  
  Cell[StyleData["SlideShowNavigationBar", "Printout"],
    CellMargins->{{18, 4}, {4, 4}},
    LineSpacing->{1, 3},
    FontSize->10]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SlideShowSection"],
    CellFrame->{{0, 0}, {0, 0.5}},
    CellMargins->{{0, 0}, {10, 0}},
    CellGroupingRules->{"SectionGrouping", 40},
    PageBreakBelow->False,
    CellFrameMargins->{{12, 4}, {6, 12}},
    InputAutoReplacements->{"TeX"->StyleBox[ 
            RowBox[ {"T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "LaTeX"->StyleBox[ 
            RowBox[ {"L", 
              StyleBox[ 
                AdjustmentBox[ 
                "A", BoxMargins -> {{-0.35999999999999999, \
-0.10000000000000001}, {0, 0}}, BoxBaselineShift -> -0.20000000000000001], 
                FontSize -> Smaller], "T", 
              AdjustmentBox[ 
              "E", BoxMargins -> {{-0.074999999999999997, \
-0.085000000000000006}, {0, 0}}, BoxBaselineShift -> 0.5], "X"}]], 
        "mma"->"Mathematica", "Mma"->"Mathematica", "MMA"->"Mathematica", 
        "gridMathematica"->FormBox[ 
            RowBox[ {"grid", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], "webMathematica"->FormBox[ 
            RowBox[ {"web", 
              AdjustmentBox[ 
                StyleBox[ "Mathematica", FontSlant -> "Italic"], 
                BoxMargins -> {{-0.17499999999999999, 0}, {0, 0}}]}], 
            TextForm], Inherited},
    CounterIncrements->"Section",
    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},
    StyleMenuListing->None,
    FontFamily->"Helvetica",
    FontSize->18,
    FontWeight->"Plain",
    FontColor->GrayLevel[1],
    Background->RGBColor[0.408011, 0.440726, 0.8]],
  
  Cell[StyleData["SlideShowSection", "Presentation"],
    CellFrameMargins->{{20, 10}, {10, 18}},
    FontSize->27],
  
  Cell[StyleData["SlideShowSection", "SlideShow"],
    ShowCellBracket->False,
    PageBreakAbove->True],
  
  Cell[StyleData["SlideShowSection", "Printout"],
    CellMargins->{{18, 30}, {0, 30}},
    CellFrameMargins->5,
    FontSize->14]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SlideHyperlink"],
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontSize->26,
    FontColor->GrayLevel[0.400015],
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonMinHeight->0.85,
    ButtonMargins->0.5,
    ButtonNote->None}],
  
  Cell[StyleData["SlideHyperlink", "Presentation"],
    CellMargins->{{14, 10}, {6, 12}},
    FontSize->36],
  
  Cell[StyleData["SlideHyperlink", "SlideShow"]],
  
  Cell[StyleData["SlideHyperlink", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SlideTOCLink"],
    CellMargins->{{24, Inherited}, {Inherited, Inherited}},
    StyleMenuListing->None,
    ButtonStyleMenuListing->Automatic,
    FontFamily->"Helvetica",
    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {
        FrontEnd`NotebookLocate[ #2]}]&),
    Active->True,
    ButtonMargins->1.5,
    ButtonNote->ButtonData}],
  
  Cell[StyleData["SlideTOCLink", "Presentation"],
    CellMargins->{{35, 10}, {8, 8}},
    FontSize->18],
  
  Cell[StyleData["SlideTOCLink", "SlideShow"]],
  
  Cell[StyleData["SlideTOCLink", "Printout"],
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->False}]
  }, Closed]],
  
  Cell[CellGroupData[{
  
  Cell[StyleData["SlideTOC"],
    CellDingbat->"\[Bullet]",
    CellMargins->{{18, Inherited}, {Inherited, Inherited}},
    StyleMenuListing->None,
    FontFamily->"Helvetica"],
  
  Cell[StyleData["SlideTOC", "Presentation"],
    CellMargins->{{25, 10}, {10, 5}},
    FontSize->18],
  
  Cell[StyleData["SlideTOC", "SlideShow"],
    FontSize->14],
  
  Cell[StyleData["SlideTOC", "Printout"],
    FontSize->10,
    FontColor->GrayLevel[0]]
  }, Closed]]
  }, Closed]]
  }, Open  ]],
  
  Cell[CellGroupData[{
  
  Cell["Notation Package Styles", "Section",
    CellTags->"NotationPackage"],
  
  Cell["\<\
The cells below define certain styles needed by the Notation \
package. These styles serve to make visible otherwise invisible \
tagboxes.\
\>", "Text",
    CellTags->"NotationPackage"],
  
  Cell[StyleData["NotationTemplateStyle"],
    StyleMenuListing->None,
    Background->RGBColor[1, 1, 0.850004],
    TagBoxOptions->{SyntaxForm->"symbol"},
    CellTags->"NotationPackage"],
  
  Cell[StyleData["NotationPatternWrapperStyle"],
    StyleMenuListing->None,
    Background->RGBColor[1, 0.900008, 0.979995],
    TagBoxOptions->{SyntaxForm->"symbol"},
    CellTags->"NotationPackage"],
  
  Cell[StyleData["NotationMadeBoxesWrapperStyle"],
    StyleMenuListing->None,
    Background->RGBColor[0.900008, 0.889998, 1],
    TagBoxOptions->{SyntaxForm->"symbol"},
    CellTags->"NotationPackage"]
  }, Closed]]
  }]
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 109, 3, 50, "Text"],

Cell[CellGroupData[{
Cell[1888, 58, 51, 1, 27, "Input"],
Cell[1942, 61, 92, 1, 23, "Print"],
Cell[2037, 64, 81, 1, 23, "Print"],
Cell[2121, 67, 104, 2, 43, "Output"]
}, Open  ]],
Cell[2240, 72, 150, 3, 43, "Input"],
Cell[2393, 77, 9953, 233, 555, "Input"],
Cell[12349, 312, 115, 2, 43, "Input"],

Cell[CellGroupData[{
Cell[12489, 318, 51, 1, 27, "Input"],
Cell[12543, 321, 154, 2, 27, "Output"]
}, Open  ]],
Cell[12712, 326, 24, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[12761, 330, 385, 6, 107, "Input"],
Cell[13149, 338, 38, 1, 27, "Output"],
Cell[13190, 341, 38, 1, 27, "Output"],
Cell[13231, 344, 38, 1, 27, "Output"],
Cell[13272, 347, 38, 1, 27, "Output"],
Cell[13313, 350, 38, 1, 27, "Output"],
Cell[13354, 353, 38, 1, 27, "Output"]
}, Open  ]],
Cell[13407, 357, 25, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[13457, 361, 526, 8, 139, "Input"],
Cell[13986, 371, 39, 1, 27, "Output"],
Cell[14028, 374, 39, 1, 27, "Output"],
Cell[14070, 377, 39, 1, 27, "Output"],
Cell[14112, 380, 39, 1, 27, "Output"],
Cell[14154, 383, 39, 1, 27, "Output"],
Cell[14196, 386, 39, 1, 27, "Output"],
Cell[14238, 389, 39, 1, 27, "Output"],
Cell[14280, 392, 39, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14356, 398, 171, 3, 59, "Input"],
Cell[14530, 403, 49, 1, 27, "Output"],
Cell[14582, 406, 43, 1, 27, "Output"],
Cell[14628, 409, 36, 1, 27, "Output"]
}, Open  ]],
Cell[14679, 413, 40, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[14744, 417, 225, 4, 75, "Input"],
Cell[14972, 423, 35, 1, 27, "Output"],
Cell[15010, 426, 35, 1, 27, "Output"],
Cell[15048, 429, 63, 1, 27, "Output"],
Cell[15114, 432, 103, 2, 27, "Output"]
}, Open  ]],
Cell[15232, 437, 50, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[15307, 441, 380, 7, 91, "Input"],
Cell[15690, 450, 35, 1, 27, "Output"],
Cell[15728, 453, 35, 1, 27, "Output"],
Cell[15766, 456, 63, 1, 27, "Output"],
Cell[15832, 459, 198, 3, 27, "Output"],
Cell[16033, 464, 177, 3, 27, "Output"]
}, Open  ]],
Cell[16225, 470, 105, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[16355, 477, 116, 2, 43, "Input"],
Cell[16474, 481, 174, 3, 27, "Output"],
Cell[16651, 486, 104, 2, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16792, 493, 260, 5, 91, "Input"],
Cell[17055, 500, 38, 1, 27, "Output"],
Cell[17096, 503, 71, 1, 27, "Output"],
Cell[17170, 506, 54, 1, 27, "Output"],
Cell[17227, 509, 69, 1, 27, "Output"],
Cell[17299, 512, 37, 1, 27, "Output"]
}, Open  ]],
Cell[17351, 516, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[17659, 529, 73, 1, 27, "Input"],
Cell[17735, 532, 72, 1, 27, "Output"]
}, Open  ]],
Cell[17822, 536, 24, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[17871, 540, 196, 3, 59, "Input"],
Cell[18070, 545, 38, 1, 27, "Output"],
Cell[18111, 548, 38, 1, 27, "Output"],
Cell[18152, 551, 38, 1, 27, "Output"]
}, Open  ]],
Cell[18205, 555, 25, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[18255, 559, 141, 2, 43, "Input"],
Cell[18399, 563, 39, 1, 27, "Output"],
Cell[18441, 566, 39, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18517, 572, 225, 4, 75, "Input"],
Cell[18745, 578, 40, 1, 27, "Output"],
Cell[18788, 581, 37, 1, 27, "Output"],
Cell[18828, 584, 37, 1, 27, "Output"],
Cell[18868, 587, 123, 2, 20, "Message"],
Cell[18994, 591, 60, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19091, 597, 267, 4, 75, "Input"],
Cell[19361, 603, 46, 1, 27, "Output"],
Cell[19410, 606, 43, 1, 27, "Output"],
Cell[19456, 609, 40, 1, 27, "Output"],
Cell[19499, 612, 123, 2, 20, "Message"],
Cell[19625, 616, 69, 1, 27, "Output"]
}, Open  ]],
Cell[19709, 620, 25, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[19759, 624, 178, 3, 59, "Input"],
Cell[19940, 629, 46, 1, 27, "Output"],
Cell[19989, 632, 123, 2, 20, "Message"],
Cell[20115, 636, 119, 3, 43, "Output"]
}, Open  ]],
Cell[20249, 642, 102, 3, 32, "Text"],

Cell[CellGroupData[{
Cell[20376, 649, 119, 2, 43, "Input"],
Cell[20498, 653, 156, 2, 27, "Output"],
Cell[20657, 657, 156, 2, 27, "Output"]
}, Open  ]],
Cell[20828, 662, 63, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[20916, 666, 265, 4, 75, "Input"],
Cell[21184, 672, 92, 1, 27, "Output"],
Cell[21279, 675, 92, 1, 27, "Output"],
Cell[21374, 678, 92, 1, 27, "Output"],
Cell[21469, 681, 92, 1, 27, "Output"]
}, Open  ]],
Cell[21576, 685, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[21884, 698, 199, 3, 59, "Input"],
Cell[22086, 703, 92, 1, 27, "Output"],
Cell[22181, 706, 92, 1, 27, "Output"],
Cell[22276, 709, 107, 2, 27, "Output"]
}, Open  ]],
Cell[22398, 714, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[22706, 727, 93, 2, 43, "Input"],
Cell[22802, 731, 161, 2, 45, "Output"],
Cell[22966, 735, 161, 2, 45, "Output"]
}, Open  ]],
Cell[23142, 740, 56, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[23223, 744, 276, 5, 91, "Input"],
Cell[23502, 751, 339, 6, 45, "Output"],
Cell[23844, 759, 169, 2, 45, "Output"],
Cell[24016, 763, 171, 3, 45, "Output"],
Cell[24190, 768, 328, 5, 45, "Output"],
Cell[24521, 775, 360, 6, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24918, 786, 106, 2, 43, "Input"],
Cell[25027, 790, 93, 1, 50, "Output"],
Cell[25123, 793, 116, 2, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25276, 800, 298, 5, 91, "Input"],
Cell[25577, 807, 402, 7, 200, "Output"]
}, Open  ]],
Cell[25994, 817, 73, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[26092, 821, 121, 2, 43, "Input"],
Cell[26216, 825, 1009, 23, 138, "Output"]
}, Open  ]],
Cell[27240, 851, 30, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[27295, 855, 115, 3, 43, "Input"],
Cell[27413, 860, 910, 12, 83, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28360, 877, 155, 2, 43, "Input"],
Cell[28518, 881, 242, 3, 45, "Output"],
Cell[28763, 886, 242, 3, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[29042, 894, 61, 1, 27, "Input"],
Cell[29106, 897, 925, 14, 118, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30068, 916, 71, 1, 27, "Input"],
Cell[30142, 919, 1353, 18, 121, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31532, 942, 47, 1, 27, "Input"],
Cell[31582, 945, 188, 3, 45, "Output"]
}, Open  ]],
Cell[31785, 951, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[32093, 964, 46, 1, 27, "Input"],
Cell[32142, 967, 88, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32267, 973, 59, 1, 27, "Input"],
Cell[32329, 976, 148, 2, 27, "Output"]
}, Open  ]],
Cell[32492, 981, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[32800, 994, 47, 1, 27, "Input"],
Cell[32850, 997, 48, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[32935, 1003, 49, 1, 27, "Input"],
Cell[32987, 1006, 87, 1, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[33111, 1012, 106, 2, 43, "Input"],
Cell[33220, 1016, 104, 2, 27, "Output"],
Cell[33327, 1020, 73, 1, 27, "Output"]
}, Open  ]],
Cell[33415, 1024, 55, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[33495, 1028, 192, 3, 59, "Input"],
Cell[33690, 1033, 127, 3, 27, "Output"],
Cell[33820, 1038, 124, 3, 27, "Output"],
Cell[33947, 1043, 121, 3, 27, "Output"]
}, Open  ]],
Cell[34083, 1049, 27, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[34135, 1053, 102, 2, 43, "Input"],
Cell[34240, 1057, 104, 2, 27, "Output"],
Cell[34347, 1061, 165, 3, 27, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[34549, 1069, 155, 3, 59, "Input"],
Cell[34707, 1074, 121, 3, 27, "Output"],
Cell[34831, 1079, 147, 2, 27, "Output"],
Cell[34981, 1083, 195, 3, 27, "Output"]
}, Open  ]],
Cell[35191, 1089, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[35499, 1102, 37, 1, 27, "Input"],
Cell[35539, 1105, 658, 11, 94, "Output"]
}, Open  ]],
Cell[36212, 1119, 29, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[36266, 1123, 196, 4, 75, "Input"],
Cell[36465, 1129, 264, 4, 54, "Output"],
Cell[36732, 1135, 242, 4, 54, "Output"],
Cell[36977, 1141, 198, 4, 44, "Output"],
Cell[37178, 1147, 35, 1, 27, "Output"]
}, Open  ]],
Cell[37228, 1151, 38, 0, 32, "Text"],

Cell[CellGroupData[{
Cell[37291, 1155, 42, 1, 27, "Input"],
Cell[37336, 1158, 1370, 18, 121, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[38743, 1181, 204, 4, 75, "Input"],
Cell[38950, 1187, 264, 4, 54, "Output"],
Cell[39217, 1193, 242, 4, 54, "Output"],
Cell[39462, 1199, 318, 4, 44, "Output"],
Cell[39783, 1205, 54, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[39874, 1211, 209, 4, 75, "Input"],
Cell[40086, 1217, 132, 2, 45, "Output"],
Cell[40221, 1221, 121, 2, 45, "Output"],
Cell[40345, 1225, 355, 6, 44, "Output"],
Cell[40703, 1233, 38, 1, 43, "Output"]
}, Open  ]],
Cell[40756, 1237, 285, 9, 5, "Text"],

Cell[CellGroupData[{
Cell[41066, 1250, 123, 2, 43, "Input"],
Cell[41192, 1254, 178, 3, 45, "Output"],
Cell[41373, 1259, 39, 1, 27, "Output"]
}, Open  ]],
Cell[41427, 1263, 283, 9, 10, "Text"],

Cell[CellGroupData[{
Cell[41735, 1276, 104, 2, 43, "Input"],
Cell[41842, 1280, 132, 2, 45, "Output"],
Cell[41977, 1284, 115, 3, 45, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[42129, 1292, 126, 2, 43, "Input"],
Cell[42258, 1296, 658, 11, 94, "Output"],
Cell[42919, 1309, 574, 12, 172, "Output"]
}, Open  ]],
Cell[43508, 1324, 285, 9, 5, "Text"],

Cell[CellGroupData[{
Cell[43818, 1337, 121, 2, 43, "Input"],
Cell[43942, 1341, 215, 4, 54, "Output"],
Cell[44160, 1347, 58, 1, 44, "Output"]
}, Open  ]],
Cell[44233, 1351, 283, 9, 10, "Text"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

